<script setup>
import { defineAsyncComponent } from 'vue';
const gdata = defineAsyncComponent(() => import('./gdata.vue'));

defineProps(['item']);
//name: 'attack',


</script>

<template>

<div class="attack">

	<div>Hit Bonus: {{ item.tohit || 0 }}</div>
	<div>{{ item.hands > 1 ? 'Two Handed' : 'One Handed' }}</div>
	<div>Kind: {{ item.kind.toString().toTitleCase() }}</div>
	<gdata v-if="item.dot" :item="item.dot" />

</div>

</template>